Index: doc/styles/rules.txt
===================================================================
--- doc/styles/rules.txt	(revision 3114)
+++ doc/styles/rules.txt	(working copy)
@@ -239,6 +239,10 @@
 [width="100%",cols="2,1,1,1,5",options="header"]
 |=====
 |Function |Node |Way |Relation |Description
+
+|all_tags()      | x  | x | x  |
+Returns a string with all tags (in no particular order)
+
 |length()      |  | x  | x  |
 Calculates the length in m. For relations its the sum of all member length (including sub relations).
 
Index: src/uk/me/parabola/mkgmap/osmstyle/function/AllTagsFunction.java
===================================================================
--- src/uk/me/parabola/mkgmap/osmstyle/function/AllTagsFunction.java	(revision 0)
+++ src/uk/me/parabola/mkgmap/osmstyle/function/AllTagsFunction.java	(working copy)
@@ -0,0 +1,49 @@
+/*
+ * Copyright (C) 2014.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 3 or
+ * version 2 as published by the Free Software Foundation.
+ *
+ * This program is distributed in the hope that it will be useful, but
+ * WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * General Public License for more details.
+ */
+
+package uk.me.parabola.mkgmap.osmstyle.function;
+
+import uk.me.parabola.mkgmap.reader.osm.Element;
+
+/**
+ * Function that returns the tags of the element.
+ * @author GerdP
+ */
+public class AllTagsFunction extends StyleFunction {
+
+	public AllTagsFunction() {
+		super(null);
+	}
+
+	public boolean supportsNode() {
+		return true;
+	}
+
+	public boolean supportsWay() {
+		return true;
+	}
+
+	public boolean supportsRelation() {
+		return true;
+	}
+	
+	public String value(Element el) {
+		// return string with all tags
+		return el.toTagString();
+	}
+
+	public String getName() {
+		return "all_tags";
+	}
+
+}
Index: src/uk/me/parabola/mkgmap/osmstyle/function/FunctionFactory.java
===================================================================
--- src/uk/me/parabola/mkgmap/osmstyle/function/FunctionFactory.java	(revision 3114)
+++ src/uk/me/parabola/mkgmap/osmstyle/function/FunctionFactory.java	(working copy)
@@ -48,6 +48,8 @@
 			return new TypeFunction();
 		if ("osmid".equals(name))
 			return new OsmIdFunction();
+		if ("all_tags".equals(name))
+			return new AllTagsFunction();
 		
 		return null;
 	}
